package jrummikub.view;

import jrummikub.model.Position;
import jrummikub.util.IEvent1;

/**
 * An interface for view elements that can emit click events
 */
public interface IClickable {
  /**
   * the click event is emitted when the player clicks on the table/hand/etc.
   * 
   * @return the event; the first parameter is the position of the click in grid
   *         coordinates, the second is true when the player wants to add stones
   *         to his selection instead of replacing them
   */
  public IEvent1<Position> getClickEvent();
}
